## visad.data
Class FunctionFormFamily.FormFunction

    java.lang.Object
      visad.data.FunctionFormFamily.FormFunction

Direct Known Subclasses:
  FunctionFormFamily.FileFunction, FunctionFormFamily.URLFunction

Enclosing class:
  FunctionFormFamily

abstract class FunctionFormFamily.FormFunction
extends Object

Base class which tries to perform an operation on an object using the first valid Form.

Constructor Summary
`(package private)` `FunctionFormFamily.FormFunction()`

Method Summary
`(package private) abstract boolean` `check(FormFileInformer node)` Return 'true' if this object's name applies to the given node.
`(package private) abstract boolean` `function(FormNode node)` The operation to be performed on the object.
`(package private) abstract InputStream` `getStream()` Return an InputStream for the object.
`boolean` `run()` Perform an operation on an object using the first valid Form.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FunctionFormFamily.FormFunction

    FunctionFormFamily.FormFunction()

Method Detail

### check

    abstract boolean check(FormFileInformer node)

  Return 'true' if this object's name applies to the given node.

### getStream

    abstract InputStream getStream()
                            throws IOException

  Return an InputStream for the object. Used to read in the first block of the object.

  Throws:
    `IOException`

### function

    abstract boolean function(FormNode node)

  The operation to be performed on the object.

### run

    public boolean run()
                throws IOException

  Perform an operation on an object using the first valid Form. If a Form successfully performs the operation, return 'true'.

  Throws:
    `IOException`